<?php

/**
 * @file node-og-group-post.tpl.php
 * 
 * Og has added a brief section at bottom for printing links to affiliated groups.
 * This template is used by default for non group nodes.
 *
 * Theme implementation to display a node.
 *
 * Available variables:
 * - $title: the (sanitized) title of the node.
 * - $content: Node body or teaser depending on $teaser flag.
 * - $picture: The authors picture of the node output from
 *   theme_user_picture().
 * - $date: Formatted creation date (use $created to reformat with
 *   format_date()).
 * - $links: Themed links like "Read more", "Add new comment", etc. output
 *   from theme_links().
 * - $name: Themed username of node author output from theme_user().
 * - $node_url: Direct url of the current node.
 * - $terms: the themed list of taxonomy term links output from theme_links().
 * - $submitted: themed submission information output from
 *   theme_node_submitted().
 *
 * Other variables:
 * - $node: Full node object. Contains data that may not be safe.
 * - $type: Node type, i.e. story, page, blog, etc.
 * - $comment_count: Number of comments attached to the node.
 * - $uid: User ID of the node author.
 * - $created: Time the node was published formatted in Unix timestamp.
 * - $zebra: Outputs either "even" or "odd". Useful for zebra striping in
 *   teaser listings.
 * - $id: Position of the node. Increments each time it's output.
 *
 * Node status variables:
 * - $teaser: Flag for the teaser state.
 * - $page: Flag for the full page state.
 * - $promote: Flag for front page promotion state.
 * - $sticky: Flags for sticky post setting.
 * - $status: Flag for published status.
 * - $comment: State of comment settings for the node.
 * - $readmore: Flags true if the teaser content of the node cannot hold the
 *   main body content.
 * - $is_front: Flags true when presented in the front page.
 * - $logged_in: Flags true when the current user is a logged-in member.
 * - $is_admin: Flags true when the current user is an administrator.
 *
 * @see template_preprocess()
 * @see template_preprocess_node()
 */
?>
<div id="node-<?php print $node->nid; ?>" class="node<?php if ($sticky) { print ' sticky'; } ?><?php if (!$status) { print ' node-unpublished'; } ?> clear-block">

<?php print $picture ?>

<?php if (!$page): ?>
  <h2><a href="<?php print $node_url ?>" title="<?php print $title ?>"><?php print $title ?></a></h2>
<?php endif; ?>

  <div class="content">
  
  




<?php 
global $base_url; 
global $base_path;
if(!$node->field_om_show_flash[0]['filepath']){ ?>
<div class="messages error">
This video is either still processing or has encountered an error.  Large videos can take up to an hour to process.  If it has been more than since the video was submitted, please report the problem.</div>
<? } else { 

$imagepath = $base_url . $base_path . $node->field_om_show_capture[0]['filepath'];
$flvpath = $base_url . $base_path . $node->field_om_show_flash[0]['filepath'];
 drupal_add_link(array('rel' => 'image_src', 'href' => ($imagepath))); 
 //drupal_add_link(array('rel' => 'videothumbnail', 'href' => ($imagepath))); 
 //drupal_add_link(array('rel' => 'video_src', 'href' => ($flvpath))); 
 

$player_path = variable_get('om_show_player_path', '/sites/all/plugins/mediaplayer/');

?>
<script type='text/javascript' src='<?php print $player_path ?>swfobject.js'></script>

<div id='mediaspace'><?php print $node->content['body']['#value']; ?></div>
<script type='text/javascript'>
  var so = new SWFObject('<?php print $player_path ?>player.swf','mpl','470','320','9');
  

  
  

  so.addVariable('sharing.code', escape('<embed src="<?php print $base_url ?><?php print $base_path ?>sites/all/plugins/mediaplayer/player.swf" width="470" height="320" allowfullscreen="true" allowscriptaccess="always" flashvars="file=<?php print $base_url ?><?php print $base_path ?><?php print $node->field_om_show_flash[0]['filepath'] ?>&image=<?php print $base_url ?><?php print $base_path ?><?php print $node->field_om_show_capture[0]['filepath'] ?>&plugins=logobox-1&logobox.file=<?php print variable_get('om_show_player_logo', 'http://YOURURL/sites/all/themes/YOURSUBTHEME/dom_player_logo.png') ?>&logobox.link=<?php print $base_url ?>"></embed>'));
  
  so.addParam('allowfullscreen','true');
  so.addParam('allowscriptaccess','always');
 
  so.addParam('wmode','opaque');
  so.addVariable('duration','<?php print $node->field_om_show_duration[0]['value'] ?>');
  so.addVariable('file','<?php print $base_path ?><?php print $node->field_om_show_flash[0]['filepath'] ?>');
  so.addVariable('image','<?php print $base_path ?><?php print $node->field_om_show_capture[0]['filepath'] ?>');
<?php 

global $user;
if(in_array('developer', $user->roles)) {?>
  so.addVariable('plugins', 'sharing-1'); 
  //so.addVariable('plugins', 'sharing-1, snapshot-1');
  //so.addVariable('snapshot.script', '<?php print $base_url ?><?php print $base_path ?>node/<?php print $node->nid ?>/update-capture');
<?php } else { ?>
 so.addVariable('plugins', 'sharing-1');

<? } ?>  
  so.write('mediaspace');
</script> 
<? } ?>
    <!-- ?php print $content ? -->
    <div class="node-body message">
    <?php print $node->content['body']['#value']; ?>
    </div>

    <?php print $node->content['fivestar_widget']['#value'] ?>

  <p><strong>DOM Score:</strong> 
    <?php
      print alternative_rating_bayesian_value($nid);
    ?>
  </p>
  </div>
  
  <?php if ($node->og_groups && $page) {
          print '<div class="groups">'. t('Groups'). ': ';
          print '<div class="links">'.  $og_links['view']. '</div></div>';
   } ?>

  <?php print $links; ?>
</div>

<?php if ($teaser): ?>
  <?php
    foreach( $node->og_groups_both as $key => $value){
      print "This show is a part of the project: ".l($value,"node/".$key);
    };
  ?>

  <p>Terms: 
    <?php
      $firstpart = $node->taxonomy;
      foreach( $firstpart as $key => $value) {
        print $firstpart[$key]->name;
      }
    ?>
  </p>

  <div class="meta">
  <?php if ($terms): ?>
    <div class="terms terms-inline"><?php print $terms ?></div>
  <?php endif;?>
  </div>

  <p>Timeslot Theme: 
    <?php
      print $node->content['group_video']['group']['field_om_show_flash']['field']['items'][0]['#node']->field_om_show_theme[0]['view'];
    ?>
  </p>

  <p>Timeslot Theme: 
    <?php
      print $field_om_show_theme_rendered;
    ?>
  </p>

<?php endif; ?> <!-- / if $teaser -->
